Subject: Re: Out of date DEPENDS and installed packages
To: Hubert Feyrer <>
From: Bjoern Labitzke <hermit@LABITZKE.ISDN.CS.TU-BERLIN.DE>
List: tech-pkg
Date: 04/06/1999 17:35:09

On Tue, 6 Apr 1999, Hubert Feyrer wrote:
| On Mon, 5 Apr 1999, David Brownlee wrote:
| > 	      - Would anyone like a copy? :)
| Yes! :-) Via mail would be ok...

"Me, too." :-)

| > 	      - Should I commit (a definitely cleaned up) version of
| > 		this under pkgtools? Ideas for a name (I currently
| > 		call it 'pkg_check').
| I don't know if this is really useful to every user, but I could imagine

I guess it might be interesting for normal users as well, as the script,
as David pointed out, can check for version differences between pkgsrc and
the installed packages. Thus the script provides an easy way to look for
newer packages. Perhaps this and the new "pkg_delete -r" can be combined
to obtain some kind of update functionality for the package system.


Bjoern Labitzke  <>
   Use PGP! (Don't you use envelopes for your letters?)
   9B00 9D82 A087 DC20 7293  BB27 0174 0C15 78AB A9FE